package com.zkcloud.eurekaserver;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.ApplicationContext;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.LinkedHashMap;
import java.util.Map;

@RestController
@RequestMapping("/help-center")
public class EurekaServerController {

    @Autowired
    private ApplicationContext context;

    @Value("${spring.application.name}")
    private String applicationName;

    @Value("${server.port}")
    private String serverPort;

    @GetMapping("/server-info")
    public Map<String, Object> getServerInfo() {
        Map<String, Object> infoMap = new LinkedHashMap<>();
        infoMap.put("applicationName", applicationName);
        infoMap.put("serverPort", serverPort);
        infoMap.put("status", "running");
        infoMap.put("total", context.getBeanDefinitionCount());
        infoMap.put("serverTime", System.currentTimeMillis());
        return infoMap;
    }


}
